RENDER_LIST(1)

NAME
render_list - renders a list of map tiles by sending requests to a rendering daemon.

SYNOPSIS
render_list [options] < render.list

DESCRIPTION
This manual page briefly documents the render_list command.

render_list is a helper utility that takes a list of map tiles from stdin and sends the requests to a rendering daemon

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-a|--all
    Render all tiles in given zoom level range instead of reading from STDIN.

-f|--force
    Render tiles even if they seem current.

-m|--map=MAP
    Render tiles in this map (default is 'default').

-l|--max-load=LOAD
    Sleep if load is this high (default is '16').

-s|--socket=SOCKET|HOSTNAME:PORT
    Unix domain socket name or hostname and port for contacting renderd (default is '/run/renderd/renderd.sock').

-n|--num-threads=N
    The number of parallel request threads (default is '1').

-t|--tile-dir=TILE_DIR
    Tile cache directory (default is '/var/cache/renderd/tiles').

-z|--min-zoom=ZOOM
    Filter input to only render tiles greater than or equal to this zoom level (default is '0').

-Z|--max-zoom=ZOOM
    Filter input to only render tiles less than or equal to this zoom level (default is '20').

-h|--help
    Print out a help text for render_list

-V|--version
    Print out the version number for render_list

If you are using -a|--all, you can restrict the tile range by adding these options:

(please note that tile coordinates must be positive integers and are not latitude and longitude values)

  -x|--min-x=X minimum X tile coordinate
  -X|--max-x=X maximum X tile coordinate
  -y|--min-y=Y minimum Y tile coordinate
  -Y|--max-y=Y maximum Y tile coordinate

Without -a|--all, send a list of tiles to be rendered from STDIN in the format:
  X Y Z e.g.
  0 0 1
  0 1 1
  1 0 1
  1 1 1

The above would cause all 4 tiles at zoom 1 to be rendered

SEE ALSO
renderd(1)

AUTHOR
render_list was written by OpenStreetMap project members.

This manual page was written by OpenStreetMap authors.